import { extractExtension } from './extractExtension.js';
import { getFileIcon } from './getFileicon.js';

var getFilenameParts = function getFilenameParts(filename, size, customIcon) {
  var extension = extractExtension(filename) || '';
  var filenameWithoutExtension = filename.slice(0, -1 - ((extension === null || extension === void 0 ? void 0 : extension.length) || 0)) || '';
  var cellContentLeft = customIcon || getFileIcon(extension, size);
  return {
    extension: extension,
    filenameWithoutExtension: filenameWithoutExtension,
    cellContentLeft: cellContentLeft,
    isVisible: true
  };
};

export { getFilenameParts };
